#include <iostream>
#include <cstdio>
#include <math.h>
#include <cassert>
#include <vector>

using namespace std;

const int maxn = 1 << 17;

int n;
int x[maxn], y[maxn];

int main() {
 	freopen("icebergs.in", "r", stdin);
	freopen("icebergs.out", "w", stdout);

	cin >> n;
	assert(n <= 300);
	for (int i = 0; i < n; i++) cin >> x[i] >> y[i];
	double ans = 0;
	for (int i = 1; i < n; i++) ans = max(ans, (double)(x[i] - x[i - 1]));
	cout.precision(10);
	cout << fixed;
	cout << ans << endl;

	return 0;
}